Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.plus.annotation
Class ContainerInitializer

    java.lang.Object
      org.eclipse.jetty.plus.annotation.ContainerInitializer

    public class ContainerInitializer

extends java.lang.Object

Field Summary
`protected java.util.Set<java.lang.String>` | `_annotatedTypeNames`
`protected java.util.Set<java.lang.String>` | `_applicableTypeNames`
`protected java.lang.Class[]` | `_interestedTypes`
`protected ServletContainerInitializer` | `_target`

Constructor Summary
`ContainerInitializer()`

Method Summary
`void` | `addAnnotatedTypeName(java.lang.String className)` A class has been found that has an annotation of interest to this initializer.
`void` | `addApplicableTypeName(java.lang.String className)`
`void` | `callStartup(WebAppContext context)`
`java.util.Set<java.lang.String>` | `getAnnotatedTypeNames()`
`java.util.Set<java.lang.String>` | `getApplicableTypeNames()`
`java.lang.Class[]` | `getInterestedTypes()`
`ServletContainerInitializer` | `getTarget()`
`void` | `setInterestedTypes(java.lang.Class[] interestedTypes)`
`void` | `setTarget(ServletContainerInitializer target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _target

    protected ServletContainerInitializer _target

### _interestedTypes

    protected java.lang.Class[] _interestedTypes

### _applicableTypeNames

    protected java.util.Set<java.lang.String> _applicableTypeNames

### _annotatedTypeNames

    protected java.util.Set<java.lang.String> _annotatedTypeNames

Constructor Detail

### ContainerInitializer

    public ContainerInitializer()

Method Detail

### setTarget

    public void setTarget(ServletContainerInitializer target)

### getTarget

    public ServletContainerInitializer getTarget()

### getInterestedTypes

    public java.lang.Class[] getInterestedTypes()

### setInterestedTypes

    public void setInterestedTypes(java.lang.Class[] interestedTypes)

### addAnnotatedTypeName

    public void addAnnotatedTypeName(java.lang.String className)

  A class has been found that has an annotation of interest to this initializer.

  Parameters:
    `className` -

### getAnnotatedTypeNames

    public java.util.Set<java.lang.String> getAnnotatedTypeNames()

### addApplicableTypeName

    public void addApplicableTypeName(java.lang.String className)

### getApplicableTypeNames

    public java.util.Set<java.lang.String> getApplicableTypeNames()

### callStartup

    public void callStartup(WebAppContext context)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.